
Application: gvSIG desktop - gvSIG bugs #5478
Al exportar a SHP salta error y no añade la capa resultante
10/23/2020 02:24 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Document view
Target version: 2.6.0-3328
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Adjunto la capa sobre la cual ha ocurrido. Los pasos son:

Vista en 25830 
Añado la capa
Selecciono cualquier elemento 
Voy a Capa-Exportar a
Formato SHP, en archivo temporal, y los elementos seleccionados. 
Al acabar salta un error y no se carga el SHP resultante, y si voy a buscarlo sí que se carga.

Adjunto el log.

Associated revisions
Revision 3019 - 08/10/2023 09:36 AM - Francisco Díaz Carsí

refs #5478 Añadida la clase BigDecimalUtils

Revision 47436 - 08/10/2023 09:43 AM - Francisco Díaz Carsí

refs #5478 Modificaciones necesarias para gestionar errores en la precisión de los campos BIgDecimal en los SHP y DBF

Revision 1209 - 08/10/2023 09:44 AM - Francisco Díaz Carsí

refs #5478 Modificaciones necesarias para gestionar errores en la precisión de los campos BIgDecimal en los SHP y DBF

Revision 4083 - 08/10/2023 10:08 AM - Francisco Díaz Carsí

refs #5478 Modificaciones necesarias para gestionar errores en la precisión de los campos BIgDecimal en los SHP y DBF

History
#1 - 11/16/2020 11:06 AM - Mario Carrera
- gvSIG build changed from 3044 to 3046
- Priority changed from Normal to Urgent
- File error_exportar_SHP_Windows.zip added

Adjunto un nuevo log con el mismo error pero que contiene más información al ser solo 2 ficheros, que le ha ocurrido a un usuario en Windows. No
puede exportar la capa a nuevo SHP.

El nuevo log se llama: error_exportar_SHP_Windows.zip

#2 - 08/03/2023 11:09 AM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí

#3 - 08/07/2023 07:52 AM - Francisco Díaz Carsí
- Status changed from New to In progress

#4 - 08/10/2023 10:54 AM - Francisco Díaz Carsí
- Target version changed from 2.6.1-final to 2.6.0-3328
- Status changed from In progress to Fixed

Principalmente el problema con esta capa radicaba en que lo se correspondía la precisión de los campos Decimal con la de sus datos.
Se ha modificado el proveedor de SHP para que:
    1. no permita grabar un SHP con inconsistencias en la precisión y la escala.
    2. cuando se carga un SHP con inconsistencias en la precisión y la escala, en la tabla de atributos se marcan en rojo las líneas en las que se
producen y las celdas en las que se producen quedan vacías.
    3. el usuario pueda indicar que se admitan inconsistencias en la precisión de los Decimal añadiendo una propiedad en los parámetros de apertura.
Si se indica esto, la aplicación corregirá automáticamente esta inconsistencias en la medida de lo posible pero dejará marcada la capa como de solo
lectura.

#5 - 10/18/2023 11:09 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
rustica_actual.zip 1.79 MB 10/23/2020 Mario Carrera
gvSIG.log 106 KB 10/23/2020 Mario Carrera
gvSIG.log.1 513 KB 10/23/2020 Mario Carrera
gvSIG.log.2 513 KB 10/23/2020 Mario Carrera
gvSIG.log.3 513 KB 10/23/2020 Mario Carrera
error_exportar_SHP_Windows.zip 47.2 KB 11/16/2020 Mario Carrera
